Get a payload by id
curl --request GET \
--url https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"boresight": "X+",
"focalLengthMm": 123,
"fovShape": "CONICAL",
"halfAngleDeg": 123,
"halfHeightDeg": 123,
"halfWidthDeg": 123,
"id": "<string>",
"name": "<string>",
"offNadirAlongTrackDeg": 123,
"offNadirCrossTrackDeg": 123,
"payloadIndex": 123,
"pixelPitchUm": 123,
"positionX": 123,
"positionY": 123,
"positionZ": 123,
"radiusDeg": 123,
"sides": 123
}{
"error": "invalid_token",
"error_description": "An error occurred while attempting to decode the Jwt"
}{
"code": "import.tracking.tdm.parse_failed",
"correlationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"details": {},
"error": "Bad Request",
"fieldErrors": {},
"message": "Invalid spacecraft ID format",
"params": {},
"path": "/api/v1/stm/credentials",
"status": 400,
"timestamp": "2025-11-14T10:15:30.123Z"
}{
"code": "import.tracking.tdm.parse_failed",
"correlationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"details": {},
"error": "Bad Request",
"fieldErrors": {},
"message": "Invalid spacecraft ID format",
"params": {},
"path": "/api/v1/stm/credentials",
"status": 400,
"timestamp": "2025-11-14T10:15:30.123Z"
}Payloads
Get a payload by id
Retrieves a payload reached only through the parent’s collection. Returns a uniform 404 PAYLOAD_NOT_FOUND for an unknown id / foreign-tenant / wrong-parent (indistinguishable).
GET
/
operations
/
spacecraft
/
{spacecraftId}
/
payloads
/
{payloadId}
Get a payload by id
curl --request GET \
--url https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.valar.space/operations/spacecraft/{spacecraftId}/payloads/{payloadId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"boresight": "X+",
"focalLengthMm": 123,
"fovShape": "CONICAL",
"halfAngleDeg": 123,
"halfHeightDeg": 123,
"halfWidthDeg": 123,
"id": "<string>",
"name": "<string>",
"offNadirAlongTrackDeg": 123,
"offNadirCrossTrackDeg": 123,
"payloadIndex": 123,
"pixelPitchUm": 123,
"positionX": 123,
"positionY": 123,
"positionZ": 123,
"radiusDeg": 123,
"sides": 123
}{
"error": "invalid_token",
"error_description": "An error occurred while attempting to decode the Jwt"
}{
"code": "import.tracking.tdm.parse_failed",
"correlationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"details": {},
"error": "Bad Request",
"fieldErrors": {},
"message": "Invalid spacecraft ID format",
"params": {},
"path": "/api/v1/stm/credentials",
"status": 400,
"timestamp": "2025-11-14T10:15:30.123Z"
}{
"code": "import.tracking.tdm.parse_failed",
"correlationId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"details": {},
"error": "Bad Request",
"fieldErrors": {},
"message": "Invalid spacecraft ID format",
"params": {},
"path": "/api/v1/stm/credentials",
"status": 400,
"timestamp": "2025-11-14T10:15:30.123Z"
}Authorizations
API Key (format: vsp_sk_...)
Response
Payload retrieved successfully
Available options:
X+, X-, Y+, Y-, Z+, Z- Available options:
CONICAL, RECTANGULAR, ELLIPTICAL, POLYGON Was this page helpful?